BUGLE-STATS_NV(7)

NAME
bugle-stats_nv - gather performance data from NVPerfSDK

SYNOPSIS

filterset stats_nv
{
    flush "yes"
}

DESCRIPTION

The stats_nv filter-set extracts data from certain NVIDIA GPUs using NVPerfSDK. This filter-set is only built if the appropriate header file is present at compile time, and also requires a suitably configured driver and GPU (refer to the NVPerfSDK[1] documentation).

The possible statistics can be seen in the example statistics file (doc/examples/statistics in the bugle source distribution). It is important to read the NVPerfSDK documentation to understand what the different types of statistics are, what they mean, and the limitations of the hardware interface.

OPTIONS

flush
    If set, a glFinish(3) will be issued immediately prior to sampling the counters. This guarantees that events will be accounted to the correct frame, but will cause pipeline stalls.

BUGS

Because NVPerfSDK operates across OpenGL contexts, it will count events from outside the debugged application. In particular, using bugle-showstats(7) to view the results will alter the statistics.

AUTHOR

bugle is written and maintained by Bruce Merry.

SEE ALSO

bugle(3), bugle-statistics(5), NVPerfSDK[1] documentation

NOTES

1.  NVPerfSDK
    http://developer.nvidia.com/object/nvperfsdk_home.html